/*
    WMon
    Copyright 2004 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#include <stdio.h>
#include <unistd.h>
#include <sys/time.h>
#include <time.h>
#include <string.h>
#include "monitor.h"

#define MINUTES 1

void waitSeconds(int seconds) {
	struct timeval waitstart;
	gettimeofday(&waitstart,NULL);
	while (true) {
		sleep(60);
		struct timeval now;
		gettimeofday(&now,NULL);
		if ((now.tv_sec-waitstart.tv_sec) >= seconds) break;
	}
}


void printUpdates() {
	vector<URL> list;
	checkUpdates(list);
	int size = list.size();
	for (int i = 0; i < size; i++) {
		URL &url = list[i];
		if (!url.isModified()) continue;
		printf("%s is modified:\n",url.getURL());
		printf("%s\n",url.getChanges());
		printf("\n");
	}
}

int main(int argc, char *argv[]) {
	for (int i = 1; i < argc; i++) {
		if (!strcmp(argv[i],"-c")) { // running from cron
			printUpdates();
			return 0;
		} else if (!strcmp(argv[i],"--clear")) {
			clearUpdates();
		}
	}
	while (true) {
		printUpdates();
		waitSeconds(MINUTES*60);
	}
	return 0;
}

