/*
    WMon
    Copyright 2004 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#include <sys/time.h>
#include <time.h>
#include "timer.h"

namespace Timer {
	static struct timeval waitstart;
	static bool immediately = false;
	static int seconds = 60;
	void waitStart() {
		immediately = false;
		gettimeofday(&waitstart,NULL);
	}
	bool waitDone() {
		if (immediately) return true;
		struct timeval now;
		gettimeofday(&now,NULL);
		if ((now.tv_sec-waitstart.tv_sec) >= seconds) return true;
		return false;
	}
	void runNow() {
		immediately = true;
	}
	void setInterval(int s) {
		seconds = s;
	}
};

