/*
    WMon
    Copyright 2004 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#ifndef __MONITOR_H
#define __MONITOR_H

#include <vector>

using std::vector;



class URL {
private:
	const char *url;
	unsigned char hash[16];
	char hashText[33];
	bool modified;
	const char *changes;
	bool binary;
public:
	URL(const char *u, bool b = false);
	URL(const URL &u);
	~URL();
	const char *getHashText();
	const char *getURL();
	void setChanges(const char *c);
	void setModified(bool m = true);
	bool isModified();
	const char *getChanges();
	bool isBinary();
};


void checkUpdates(vector<URL> &list);
void clearUpdates();
void getConfigFile(char *buffer, int size);


#endif
