/*
    WMon
    Copyright 2004 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include "timer.h"

namespace Timer {
	static DWORD waitstart = 0;
	static bool immediately = false;
	static DWORD seconds = 60;
	void waitStart() {
		immediately = false;
		waitstart = GetTickCount();
	}
	bool waitDone() {
		if (immediately) return true;
		DWORD now = GetTickCount();
		if ((now-waitstart)/1000 >= seconds) return true;
		return false;
	}
	void runNow() {
		immediately = true;
	}
	void setInterval(int s) {
		seconds = s;
	}
};

